Stlink unter Ubuntu 18.04 kompilieren

Wer versucht unter Ubuntu 18.04 die opensource Version des Stlink Programms von https://github.com/texane/stlink zu bauen und folgende Fehlermeldung

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
LIBUSB_INCLUDE_DIR (ADVANCED)

erhält, sollte folgendes beachten.

Vom Development-Paket für libusb gibt es zwei Versionen; libusb-dev und libusb-1.0-0-dev. Das letztere muss installiert sein, dann klappt es auch mit dem Bauen der Software.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.